Skip to main content

Get All Users

GET/users

Retrieves a list of all users along with their workspace permissions and group memberships. Optionally filter by group names.

Query Parameters
group_namesstringoptional
Comma-separated list of group names to filter by (e.g. `admin,end-user`).
Error Responses
403
ENABLE_EXTERNAL_API is not true, license missing, or Authorization header invalid.
451
EXTERNAL_API license not active on the instance.
404
Not available on Community Edition.
Request
curl -X GET "https://{your-domain}/api/ext/users?group_names=<group_names>" -H "Authorization: Basic <access_token>"
Response — 200
[
{
  "id": "1034fd65-7b40-474c-ab79-42d32780b299",
  "name": "John Doe",
  "email": "[email protected]",
  "status": "active",
  "workspaces": [],
  "userGroups": [],
  "userDetails": []
}
]